Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.xmldb
Class BXDatabase

    java.lang.Object
      org.basex.api.xmldb.BXDatabase

All Implemented Interfaces:
  org.xmldb.api.base.Configurable, org.xmldb.api.base.Database

    public final class BXDatabase

extends Object
implements org.xmldb.api.base.Database

Implementation of the Database Interface for the XMLDB:API.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Andreas Weiler, Christian Gruen

Field Summary
`static String` | `CONFORMANCE_LEVEL` Conformance level of the implementation.
`static String` | `DBURI` DB URI.
`static String` | `ERR_BINARY` Error message.
`static String` | `ERR_CONT` Error message.
`static String` | `ERR_DOC` Error message.
`static String` | `ERR_EMPTY` Error message.
`static String` | `ERR_ID` Error message.
`static String` | `ERR_ITER` Error message.
`static String` | `ERR_NSURI` Error message.
`static String` | `ERR_PROP` Error message.
`static String` | `ERR_RES` Error message.
`static String` | `ERR_TYPE` Error message.
`static String` | `ERR_UNKNOWN` Error message.
`static String` | `ERR_URI` Error message.
`static String` | `LOCALHOST` Localhost name.
`static String` | `XMLDB` XMLDB URI.
`static String` | `XMLDBURI` XMLDB URI.

Constructor Summary
`BXDatabase()`

Method Summary
`boolean` | `acceptsURI(String uri)`
`org.xmldb.api.base.Collection` | `getCollection(String uri, String user, String password)`
`String` | `getConformanceLevel()`
`String` | `getName()`
`String` | `getProperty(String key)`
`void` | `setProperty(String key, String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DBURI

    public static final String DBURI

  DB URI.

### XMLDB

    public static final String XMLDB

  XMLDB URI.

  See Also:
    Constant Field Values

### XMLDBURI

    public static final String XMLDBURI

  XMLDB URI.

### LOCALHOST

    public static final String LOCALHOST

  Localhost name.

  See Also:
    Constant Field Values

### CONFORMANCE_LEVEL

    public static final String CONFORMANCE_LEVEL

  Conformance level of the implementation.

  See Also:
    Constant Field Values

### ERR_URI

    public static final String ERR_URI

  Error message.

  See Also:
    Constant Field Values

### ERR_PROP

    public static final String ERR_PROP

  Error message.

  See Also:
    Constant Field Values

### ERR_BINARY

    public static final String ERR_BINARY

  Error message.

  See Also:
    Constant Field Values

### ERR_TYPE

    public static final String ERR_TYPE

  Error message.

  See Also:
    Constant Field Values

### ERR_EMPTY

    public static final String ERR_EMPTY

  Error message.

  See Also:
    Constant Field Values

### ERR_ID

    public static final String ERR_ID

  Error message.

  See Also:
    Constant Field Values

### ERR_UNKNOWN

    public static final String ERR_UNKNOWN

  Error message.

  See Also:
    Constant Field Values

### ERR_CONT

    public static final String ERR_CONT

  Error message.

  See Also:
    Constant Field Values

### ERR_NSURI

    public static final String ERR_NSURI

  Error message.

  See Also:
    Constant Field Values

### ERR_RES

    public static final String ERR_RES

  Error message.

  See Also:
    Constant Field Values

### ERR_ITER

    public static final String ERR_ITER

  Error message.

  See Also:
    Constant Field Values

### ERR_DOC

    public static final String ERR_DOC

  Error message.

  See Also:
    Constant Field Values

Constructor Detail

### BXDatabase

    public BXDatabase()

Method Detail

### acceptsURI

    public boolean acceptsURI(String uri)
                       throws org.xmldb.api.base.XMLDBException

  Specified by:
    `acceptsURI` in interface `org.xmldb.api.base.Database`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getCollection

    public org.xmldb.api.base.Collection getCollection(String uri,
                                                       String user,
                                                       String password)
                                                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getCollection` in interface `org.xmldb.api.base.Database`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getConformanceLevel

    public String getConformanceLevel()

  Specified by:
    `getConformanceLevel` in interface `org.xmldb.api.base.Database`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.xmldb.api.base.Database`

### getProperty

    public String getProperty(String key)

  Specified by:
    `getProperty` in interface `org.xmldb.api.base.Configurable`

### setProperty

    public void setProperty(String key,
                            String value)
                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setProperty` in interface `org.xmldb.api.base.Configurable`
  Throws:
    `org.xmldb.api.base.XMLDBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD